> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Loop Item List

> **Required plan:** Professional or Enterprise.

Update the text list or URL list in a Loop Item.



## OpenAPI

````yaml /en/api/openapi.json post /task/updateLoopItems
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /task/updateLoopItems:
    post:
      tags:
        - Task
      summary: Update Loop Item List
      description: |-
        **Required plan:** Professional or Enterprise.

        Update the text list or URL list in a Loop Item.
      operationId: updateLoopItems
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskId
                - actionId
                - loopType
                - loopItems
              properties:
                taskId:
                  type: string
                actionId:
                  type: string
                loopType:
                  type: string
                  description: Type of loop item (e.g. URL, text)
                loopItems:
                  type: array
                  items:
                    type: string
                isAppend:
                  type: boolean
                  description: >-
                    If true, appends items to existing list. If false, replaces
                    the list.
      responses:
        '200':
          description: Loop items updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````